import type { Steno } from '../types.js';
import type { BaseLogger } from '@stenodb/logger';
import type { DataTransformer, EntityTransformer } from '@stenodb/utils';
export declare class BrowserStorage<T> {
    name: string;
    storage: Storage;
    logger: BaseLogger | undefined;
    entityTransformer: EntityTransformer<T>;
    dataTransformer: DataTransformer<T>;
    data: T | null;
    initialData: T | null;
    constructor(name: string, storage: Storage, entity: Steno.Entity<T>, initialData?: T);
    registerLogger(logger: BaseLogger): void;
    read(): void;
    write(): void;
    reset(): void;
    exists(): boolean;
}
