import type { LocalStorage } from './adapter/LocalStorage.js';
import type { SessionStorage } from './adapter/SessionStorage.js';
import type { StorageProvider } from './provider/StorageProvider.js';
import type { CreateLogger } from '@stenodb/logger';
import type { ClassConstructor } from 'class-transformer';
export declare namespace Steno {
    type Entity<T> = ClassConstructor<T>;
    type BrowserAdapter<T> = LocalStorage<T> | SessionStorage<T>;
    type BrowserProvider<T> = StorageProvider<T>;
    interface BrowserProviderOptions {
        logger?: CreateLogger;
    }
}
